package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ExtracurricularExercisesReply;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/26
 */
public class ExtraExerciseStudentsDto extends ExtracurricularExercisesReply {

    private String studentName;

    private Integer teacherId;

    private String teacherName;

    private String title;

    private String content;

    private java.util.Date expireDate;

    private String statusStr;
    private String isRepliedStr;
    private String isViewStr;
    private String isRepliedTimelyStr;

    @ApiModelProperty(value = "是否存在vip课")
    private Integer existVipCourse;

    private String existVipCourseStr;

    public String getIsRepliedTimelyStr() {
        return isRepliedTimelyStr;
    }

    public void setIsRepliedTimelyStr(String isRepliedTimelyStr) {
        this.isRepliedTimelyStr = isRepliedTimelyStr;
    }

    public String getExistVipCourseStr() {
        return existVipCourseStr;
    }

    public void setExistVipCourseStr(String existVipCourseStr) {
        this.existVipCourseStr = existVipCourseStr;
    }

    public Integer getExistVipCourse() {
        return existVipCourse;
    }

    public void setExistVipCourse(Integer existVipCourse) {
        this.existVipCourse = existVipCourse;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getIsRepliedStr() {
        return isRepliedStr;
    }

    public void setIsRepliedStr(String isRepliedStr) {
        this.isRepliedStr = isRepliedStr;
    }

    public String getIsViewStr() {
        return isViewStr;
    }

    public void setIsViewStr(String isViewStr) {
        this.isViewStr = isViewStr;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
